<?php namespace App\Entities\Perfil;
use App\Utils\Builder;

class PerfilBuilder implements Builder
{
    private $id;
    private $descricao;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }
    public function build () {
        $perfil = new Perfil();
        if (isset($this->id)) {
            $perfil->setId($this->id);
        }
        if (isset($this->descricao)) {
            $perfil->setDescricao($this->descricao);
        }
        return $perfil;
    }
}